const path = require('path')
const CopyPlugin = require('copy-webpack-plugin')

module.exports = {
  entry: {
    main: './src/index.js',
    player: './src/player.js'
  },
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: '[name].bundle.js'
  },
  module: {
    rules: []
  },
  plugins: [
    new CopyPlugin([
      {
        from: 'src/css/*.css',
        to: 'css',
        flatten: true
      },
      {
        from: 'node_modules/bootstrap/dist/css/bootstrap.min.css',
        to: 'css',
        flatten: true
      }
    ]),
  ],
}
